Name:           python-pdm-pep517
Version:        1.1.4
Release:        %mkrel 2
Summary:        A PEP 517 backend for PDM that supports PEP 621 metadata
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/pdm-pep517/
Source:         %{pypi_source pdm-pep517}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
This is the backend for PDM projects, while you can also use it alone. It reads
the metadata of PEP 621 format and coverts it to Core metadata.}


%description %_description

%package -n     python3-pdm-pep517
Summary:        %{summary}

%description -n python3-pdm-pep517 %_description


%prep
%autosetup -p1 -n pdm-pep517-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pdm


%check
%pyproject_check_import


%files -n python3-pdm-pep517 -f %{pyproject_files}



%changelog
* Thu Feb 29 2024 papoteur <papoteur> 1.1.4-2.mga10
+ Revision: 2045754
- Rebuild

* Tue Sep 05 2023 papoteur <papoteur> 1.1.4-1.mga10
+ Revision: 1984446
- Imported as dependance of python-pytoolconfig

